Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
CRYPTO_dynlock_value Struct Reference

Stores locks needed for OpenSSL thread safety. More...

## Data Fields
rb_nativethread_lock_t | lock
rb_nativethread_id_t | owner
size_t | count

## Detailed Description

Stores locks needed for OpenSSL thread safety.

Definition at line 520 of file ossl.c.

## Field Documentation

## ◆ count

size_t CRYPTO_dynlock_value::count

Definition at line 523 of file ossl.c.

## ◆ lock

rb_nativethread_lock_t CRYPTO_dynlock_value::lock

Definition at line 521 of file ossl.c.

## ◆ owner

rb_nativethread_id_t CRYPTO_dynlock_value::owner

Definition at line 522 of file ossl.c.

The documentation for this struct was generated from the following file:

- ext/openssl/ossl.c